.demo {
    height: 500px;
    perspective: 2000px;
    padding: 15vh 0 0 0 ;
    transition: all 5s;
    position: fixed;
    z-index: 1000;
}
.bigbox{
    position: relative;
    display: flex;
    justify-content: center;
}

.all {
    height: 500px;
    width: 100vw;
    margin: 0 auto;
    perspective: 3000px;
}

.box {
    margin: 0 auto;
    height: 200px;
    width: 200px;
    position: relative;
    transform-style: preserve-3d;
    transition: 0.5s;
}

.box1 {
    position: absolute;
    height: 200px;
    width: 200px;
    background: url(./img/1.jpg) no-repeat;
    background-size: cover;
    transition: 5s;
}

.box2 {
    position: absolute;
    height: 200px;
    width: 200px;
    background: url(./img/2.jpg) no-repeat;
    background-size: cover;
    transition: 5s;
}

.box3 {
    position: absolute;
    height: 200px;
    width: 200px;
    background-size: cover;
    background: url(./img/3.jpg) no-repeat;
    background-size: cover;
    transition: 5s;
}

.box4 {
    position: absolute;
    clear: both;
    height: 200px;
    width: 200px;
    background-color: black;
    background: url(./img/4.jpg) no-repeat;
    background-size: cover;
    transition: 5s;
}

.box5 {
    position: absolute;
    clear: both;
    height: 200px;
    width: 200px;
    background-color: violet;
    background: url(./img/5.jpg) no-repeat;
    background-size: cover;
    transition: 5s;
}

.box6 {
    position: absolute;
    height: 200px;
    width: 200px;
    background-color: tan;
    background: url(./img/6.jpg) no-repeat;
    background-size: cover;
    transition: 5s;
}